/// <reference types="google.maps" />
import { ElementRef, EventEmitter, ChangeDetectorRef, NgZone, OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { I18nService } from '../../i18n.service';
import { ChangeWrapper } from '../../model/changeWrapper';
import * as i0 from "@angular/core";
export declare class PickLocationComponent implements OnInit, OnChanges {
    i18nService: I18nService;
    private ngZone;
    private cdr;
    latitude: any;
    longitude: any;
    zoom: number;
    private geoCoder;
    searchElementRef: ElementRef<HTMLInputElement>;
    showModal: boolean;
    address: string;
    question: any;
    mode: 'view' | 'edit' | 'print';
    locationSelected: EventEmitter<ChangeWrapper>;
    navigatorGeolocation: any;
    markerPosition: {
        lat: any;
        lng: any;
    };
    center: {
        lat: any;
        lng: any;
    };
    markerOptions: any;
    apiKey: any;
    constructor(i18nService: I18nService, ngZone: NgZone, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setInputRef(ref: ElementRef<HTMLInputElement>): void;
    private loadGoogleMapsScript;
    initAutocomplete(): void;
    onMarkerDragEnd(): void;
    onMapClick(event: google.maps.MapMouseEvent): void;
    private setCurrentLocation;
    getAddress(latitude: number, longitude: number): void;
    openMap(): void;
    closeModal(): void;
    removeCharacters(questionText: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PickLocationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PickLocationComponent, "app-pick-location", never, { "address": { "alias": "address"; "required": false; }; "question": { "alias": "question"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "apiKey": { "alias": "apiKey"; "required": false; }; }, { "locationSelected": "locationSelected"; }, never, never, true, never>;
}
